org.apache.ignite.internal.processors.rest.client.message

## Class GridClientAbstractMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

Direct Known Subclasses:
  GridClientAuthenticationRequest, GridClientCacheQueryRequest, GridClientCacheRequest, GridClientHandshakeRequest, GridClientHandshakeResponse, GridClientPingPacket, GridClientResponse, GridClientTaskRequest, GridClientTopologyRequest, GridRouterRequest, GridRouterResponse

    public abstract class GridClientAbstractMessage
    extends Object
    implements GridClientMessage, Externalizable

This class provides implementation for commit message fields and cannot be used directly.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientAbstractMessage()`

### Method Summary

Methods
`UUID` `clientId()` Gets client identifier from which this request comes.
`void` `clientId(UUID id)` Sets client identifier from which this request comes.
`UUID` `destinationId()` Gets identifier of the node where this message should be processed.
`void` `destinationId(UUID destId)` Sets identifier of the node where this message should be eventually delivered.
`void` `readExternal(ObjectInput in)`
`long` `requestId()` This method is used to match request and response messages.
`void` `requestId(long reqId)` Sets request id for outgoing packets.
`byte[]` `sessionToken()` Gets client session token.
`void` `sessionToken(byte[] sesTok)` Sets client session token.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientAbstractMessage

    public GridClientAbstractMessage()

### Method Detail

#### requestId

    public long requestId()

This method is used to match request and response messages.

Specified by:
  `requestId` in interface `GridClientMessage`
Returns:
  request ID.

#### requestId

    public void requestId(long reqId)

Sets request id for outgoing packets.

Specified by:
  `requestId` in interface `GridClientMessage`
Parameters:
  `reqId` - request ID.

#### clientId

    public UUID clientId()

Gets client identifier from which this request comes.

Specified by:
  `clientId` in interface `GridClientMessage`
Returns:
  Client identifier.

#### clientId

    public void clientId(UUID id)

Sets client identifier from which this request comes.

Specified by:
  `clientId` in interface `GridClientMessage`
Parameters:
  `id` - Client identifier.

#### destinationId

    public UUID destinationId()

Gets identifier of the node where this message should be processed.

Specified by:
  `destinationId` in interface `GridClientMessage`
Returns:
  Client identifier.

#### destinationId

    public void destinationId(UUID destId)

Sets identifier of the node where this message should be eventually delivered.

Specified by:
  `destinationId` in interface `GridClientMessage`
Parameters:
  `destId` - Client identifier.

#### sessionToken

    public byte[] sessionToken()

Description copied from interface: `GridClientMessage`
Gets client session token.

Specified by:
  `sessionToken` in interface `GridClientMessage`
Returns:
  Session token

#### sessionToken

    public void sessionToken(byte[] sesTok)

Description copied from interface: `GridClientMessage`
Sets client session token.

Specified by:
  `sessionToken` in interface `GridClientMessage`
Parameters:
  `sesTok` - Session token.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015